Package org.freeplane.api

# Interface Script

public interface Script
API for executing scripts.

Since:
  1.7.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Script`
  `accessingNetwork()`
  With permission to open network connections.
  `Object`
  `executeOn(NodeRO node)`
  Execute on the given node.
  `Script`
  `readingFiles()`
  With permission to read files.
  `Script`
  `startingApplications()`
  With permission to start applications.
  `Script`
  `withAllPermissions()`
  Without restrictions.
  `Script`
  `withOutput(PrintStream outStream)`
  With output stream.
  `Script`
  `writingFiles()`
  With permission to write files.

- ## Method Details

  - ### startingApplications

    Script startingApplications()
    With permission to start applications.
    Since:
      1.7.1

  - ### accessingNetwork

    Script accessingNetwork()
    With permission to open network connections.
    Since:
      1.7.1

  - ### readingFiles

    Script readingFiles()
    With permission to read files.
    Since:
      1.7.1

  - ### writingFiles

    Script writingFiles()
    With permission to write files.
    Since:
      1.7.1

  - ### withAllPermissions

    Script withAllPermissions()
    Without restrictions.
    Since:
      1.7.1

  - ### withOutput

    Script withOutput(PrintStream outStream)
    With output stream.
    Since:
      1.7.1

  - ### executeOn

    Object executeOn(NodeRO node)
    Execute on the given node.
    Since:
      1.7.1